//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace nispi.Menu
{
    class ContextMenuControls
    {
        //Aanalysis
        public static AnalysisBrowserResNumMenu analysisBrowserResNumMenu;
        //BoardIndex
        public static BoardIndexTreeViewMenu boardIndexTreeViewMenu;

        //BoardList
        public static ListViewMenu listViewMenu;

        //ThreadList
        public static BrowserAddressMenu browserAddressMenu;
        public static BrowserNonTextMenu browserNonTextMenu;
        public static BrowserNumberMenu browserNumberMenu;
        public static BrowserTextMenu browserTextMenu;

        //CountryIndex
        public static CountryIndexTreeViewMenu countryIndexTreeViewMenu;
        //MapControl
        public static MapControlViewMenu mapControlViewMenu;

        //タブのコンテキストメニュー   
        public static AnalysisTabMenu analysisTabMenu;
        public static BoardIndexTabMenu boardIndexTabMenu;
        public static BoardListTabMenu boardListTabMenu;
        public static CountryIndexTabMenu countryIndexTabMenu;
        public static MapControlTabMenu mapCountryTabMenu;
        public static ThreadListTabMenu threadListTabMenu;

        //開いているスレッドをメニューで表示する
        public static AllThreadMenu allThreadMenu;
        //板一覧のメニューを表示する
        public static AllBoardIndexMenu allBoardIndexMenu;

        public ContextMenuControls()
        {
            //Aanalysis
            //analysisBrowserResNumMenu = new AnalysisBrowserResNumMenu();
            //BoardIndex
            boardIndexTreeViewMenu = new BoardIndexTreeViewMenu();

            //BoardList
            listViewMenu = new ListViewMenu();

            //ThreadList
            browserAddressMenu = new BrowserAddressMenu();
            browserNonTextMenu = new BrowserNonTextMenu();
            browserNumberMenu = new BrowserNumberMenu();
            browserTextMenu = new BrowserTextMenu();

            //CountryIndex
            countryIndexTreeViewMenu = new CountryIndexTreeViewMenu();
            //MapControl
            mapControlViewMenu = new MapControlViewMenu();

            //タブのコンテキストメニュー   
            analysisTabMenu = new AnalysisTabMenu();
            boardIndexTabMenu = new BoardIndexTabMenu();
            boardListTabMenu = new BoardListTabMenu();
            countryIndexTabMenu = new CountryIndexTabMenu();
            mapCountryTabMenu = new MapControlTabMenu();
            threadListTabMenu = new ThreadListTabMenu();

            allThreadMenu = new AllThreadMenu();
            allBoardIndexMenu = new AllBoardIndexMenu();
        }
    }
}
